<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcWarehouse" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="8dp"
            android:orientation="horizontal"
            android:paddingHorizontal="10dp">

            <!-- 序号 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:gravity="center"
                android:text="@{String.valueOf(position)}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 运单号 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5"
                android:gravity="center"
                android:text="@{bean.wbNo ?? ``}"
                android:textColor="@color/colorPrimary"
                android:textSize="14sp"
                android:textStyle="bold" />

            <!-- 件数 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.8"
                android:gravity="center"
                android:text="@{String.valueOf(bean.checkInPc)}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 重量(KG) -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.8"
                android:gravity="center"
                android:text="@{String.valueOf((int)bean.checkInWeight)}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 代理 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@{bean.agentCode ?? ``}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 目的港 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@{bean.dest ?? ``}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 特码 -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@{bean.spCode ?? ``}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

            <!-- 品名(中) -->
            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5"
                android:gravity="center"
                android:text="@{bean.goodsCn ?? ``}"
                android:textColor="@color/text_normal"
                android:textSize="14sp" />

        </LinearLayout>

        <com.google.android.material.divider.MaterialDivider
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:background="@color/c999999" />
    </LinearLayout>

</layout>
